## tortoisehg 4.3.1

=== debian/changelog ===
tortoisehg (4.3.1-1) unstable; urgency=medium

  * Imported Upstream version 4.3.1 (Closes: #873583).
  * Update upstream homepage URL.
  * Update copyright dates.
  * Update dependency on Mercurial.
  * Add tortoisehg-caja (LP: #1371956).
  * Bump Standards-Version to 4.1.0.
  * Support nodoc in DEB_BUILD_OPTIONS.

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 30 Aug 2017 12:25:56 +0200

=== debian/control ===
Source: tortoisehg
Section: vcs
Priority: optional
Maintainer: Ludovico Cavedon <cavedon@debian.org>
Uploaders: Max Bowsher <maxb@f2s.com>
Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~)
Build-Depends-Indep: docbook-xsl, docbook-xml,
 xsltproc, python-sphinx, pyqt4-dev-tools
Standards-Version: 4.1.0
Homepage: https://tortoisehg.bitbucket.io
Vcs-Git: https://anonscm.debian.org/git/collab-maint/tortoisehg.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tortoisehg.git
X-Python-Version: >= 2.4

Package: tortoisehg
Architecture: all
Depends: mercurial (>= 4.2~), mercurial (<< 4.4~), python-gobject (>= 2.12.1),
 python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
 ${python:Depends}
Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments
Suggests: tortoisehg-nautilus
Description: Graphical tool for working with Mercurial
 TortoiseHg provides a graphical tool for interacting with the distributed
 revision control system Mercurial.  GUI support is provided for over a dozen
 operations, including add files, commit changes, manage ignore filter, view
 change log, merge, recover/rollback, edit configuration, synchronize
 repository, and many others.   The highlight is the interactive commit tool
 which allows easy selection of diffs from multiple files and packaging into
 changesets, and which is more powerful and easier to use than available
 alternatives such as qct and hgct (commit-tool).

Package: tortoisehg-nautilus
Architecture: all
Depends: gnome-icon-theme-full | gnome-icon-theme,
         python-gi,
         python-nautilus (>= 1.1-2),
         tortoisehg (>= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Recommends: ssh-askpass-gnome | ssh-askpass
Description: Graphical tool for working with Mercurial (Nautilus extension)
 TortoiseHg provides a graphical tool for interacting with the distributed
 revision control system Mercurial.  GUI support is provided for over a dozen
 operations, including add files, commit changes, manage ignore filter, view
 change log, merge, recover/rollback, edit configuration, synchronize
 repository, and many others.   The highlight is the interactive commit tool
 which allows easy selection of diffs from multiple files and packaging into
 changesets, and which is more powerful and easier to use than available
 alternatives such as qct and hgct (commit-tool).
 .
 This package contains the Nautilus extension for TortoiseHg.

Package: tortoisehg-caja
Architecture: all
Depends: mate-icon-theme | gnome-icon-theme-full | gnome-icon-theme,
         python-gi,
         python-caja (>= 1.1-2),
         tortoisehg (>= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Recommends: ssh-askpass-gnome | ssh-askpass
Description: Graphical tool for working with Mercurial (Caja extension)
 TortoiseHg provides a graphical tool for interacting with the distributed
 revision control system Mercurial.  GUI support is provided for over a dozen
 operations, including add files, commit changes, manage ignore filter, view
 change log, merge, recover/rollback, edit configuration, synchronize
 repository, and many others.   The highlight is the interactive commit tool
 which allows easy selection of diffs from multiple files and packaging into
 changesets, and which is more powerful and easier to use than available
 alternatives such as qct and hgct (commit-tool).
 .
 This package contains the Caja extension for TortoiseHg.

## tortoisehg 4.4.1

=== debian/changelog ===
tortoisehg (4.4.1-1) unstable; urgency=medium

  * New upstream version (Closes: #881707).
  * Update copyright file.
  * Update dependenceies to python-pyqt5 and python-pyqt5.qsci.
  * Build-depend on python3-sphinx instead of python-sphinx.
  * Bump Standards-Version to 4.1.2.
  * Use HTTPS URL in watch file.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 24 Dec 2017 16:40:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,13 @@
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Uploaders: Max Bowsher <maxb@f2s.com>
 Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~)
-Build-Depends-Indep: docbook-xsl, docbook-xml,
- xsltproc, python-sphinx, pyqt4-dev-tools
-Standards-Version: 4.1.0
+Build-Depends-Indep: docbook-xml,
+                     docbook-xsl,
+                     pyqt5-dev-tools,
+                     python-pyqt5,
+                     python3-sphinx,
+                     xsltproc,
+Standards-Version: 4.1.2
 Homepage: https://tortoisehg.bitbucket.io
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/tortoisehg.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tortoisehg.git
@@ -14,8 +18,8 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 4.2~), mercurial (<< 4.4~), python-gobject (>= 2.12.1),
- python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
+Depends: mercurial (>= 4.3~), mercurial (<< 4.5~), python-gobject (>= 2.12.1),
+ python-pyqt5, python-pyqt5.qsci, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments
 Suggests: tortoisehg-nautilus

## tortoisehg 4.5.2

=== debian/changelog ===
tortoisehg (4.5.2-0ubuntu1) bionic; urgency=medium

  * New upstream version. Closes: #890307. LP: #1753546.
  * Depend on python-gi instead of python-gobject. Closes: #890175.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Apr 2018 15:05:32 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 4.3~), mercurial (<< 4.5~), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 4.5~), mercurial (<< 4.6~), python-gi,
  python-pyqt5, python-pyqt5.qsci, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments

=== debian/watch ===
version=3
opts=dversionmangle=s/[\+~]dfsg\d+// https://bitbucket.org/tortoisehg/targz/downloads/ tortoisehg-(.*)\.tar\.gz
# the following line can be used to get the latest version from HG tags
#opts=dversionmangle=s/[\+~]dfsg\d+// https://bitbucket.org/tortoisehg/stable/downloads/ /tortoisehg/stable/get/(0.*)\.gz

## tortoisehg 4.5.3

=== debian/changelog ===
tortoisehg (4.5.3-1) unstable; urgency=medium

  [ Thomas Liebetraut ]
  * Fix spelling error in patch file (lintian clean).
  * Update dependency on mercurial.
  * Update copyright notices.
  * Remove dependency on python-gobject (Closes: #890175).
  * Build-depend on dh-python.

  [ Ludovico Cavedon ]
  * New upstream release (Closes: #390807).

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 27 Apr 2018 01:07:54 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Uploaders: Max Bowsher <maxb@f2s.com>
-Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~)
+Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-python
 Build-Depends-Indep: docbook-xml,
                      docbook-xsl,
                      pyqt5-dev-tools,
@@ -18,9 +18,8 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 4.5~), mercurial (<< 4.6~), python-gi,
- python-pyqt5, python-pyqt5.qsci, ${shlibs:Depends}, ${misc:Depends},
- ${python:Depends}
+Depends: mercurial (>= 4.4~), mercurial (<< 4.6~), python-pyqt5,
+ python-pyqt5.qsci, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments
 Suggests: tortoisehg-nautilus
 Description: Graphical tool for working with Mercurial

## tortoisehg 4.6.1

=== debian/changelog ===
tortoisehg (4.6.1-0ubuntu2) cosmic; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Jun 2018 10:13:49 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 4.4~), mercurial (<< 4.6~), python-pyqt5,
+Depends: mercurial (>= 4.6~), mercurial (<< 4.8~), python-pyqt5,
  python-pyqt5.qsci, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments
 Suggests: tortoisehg-nautilus

## tortoisehg 4.7

=== debian/changelog ===
tortoisehg (4.7-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. (Closes: #890307)
  * d/control: bump mercurial dependency to 4.7.
  * d/control: migrate vcs repositories to salsa.d.o.

 -- James Cowgill <jcowgill@debian.org>  Sat, 01 Sep 2018 16:37:37 +0100

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                      xsltproc,
 Standards-Version: 4.1.2
 Homepage: https://tortoisehg.bitbucket.io
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/tortoisehg.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tortoisehg.git
+Vcs-Git: https://salsa.debian.org/debian/tortoisehg.git
+Vcs-Browser: https://salsa.debian.org/debian/tortoisehg
 X-Python-Version: >= 2.4
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 4.6~), mercurial (<< 4.8~), python-pyqt5,
+Depends: mercurial (>= 4.7~), mercurial (<< 4.8~), python-pyqt5,
  python-pyqt5.qsci, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments
 Suggests: tortoisehg-nautilus

## tortoisehg 4.8.1

=== debian/changelog ===
tortoisehg (4.8.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:48:20 +0800

tortoisehg (4.8.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ James Cowgill ]
  * New upstream version. (Closes: #909583)
  * d/control:
    - Update mercurial dependency to allow 4.7 and 4.8. (Closes: #914200)

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field.
  * d/copyright: Use https protocol in Format field.

  [ Stéphane Blondon ]
  * d/thg.1.xml: Uudate link to upstream BTS in the manpage. (Closes: #915858)

 -- James Cowgill <jcowgill@debian.org>  Sat, 22 Dec 2018 11:21:56 +0000

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,10 @@
 Homepage: https://tortoisehg.bitbucket.io
 Vcs-Git: https://salsa.debian.org/debian/tortoisehg.git
 Vcs-Browser: https://salsa.debian.org/debian/tortoisehg
-X-Python-Version: >= 2.4
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 4.7~), mercurial (<< 4.8~), python-pyqt5,
+Depends: mercurial (>= 4.7~), mercurial (<< 4.9~), python-pyqt5,
  python-pyqt5.qsci, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments
 Suggests: tortoisehg-nautilus

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_build: debian/thg.1
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc html
endif

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp/
	# This file is already included in mercurial-common.
	rm debian/tmp/usr/lib/python*/dist-packages/hgext3rd/__init__.py
	mkdir -p debian/tmp/etc/mercurial/hgrc.d/
	install -o 0 -g 0 -m 644 contrib/mergetools.rc debian/tmp/etc/mercurial/hgrc.d/thgmergetools.rc
	mkdir -p debian/tmp/usr/share/caja-python/extensions/
	install -o 0 -g 0 -m 644 contrib/nautilus-thg.py debian/tmp/usr/share/caja-python/extensions/caja-thg.py

## drop automatically created file
override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/pycompat
	rm -f debian/thg.1
	rm -fr locale doc/build

override_dh_installdocs:
	dh_installdocs --exclude=nautilus-thg.py --exclude=mergetools.rc
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	ln -sf ../../../../javascript/jquery/jquery.js \
	    debian/tortoisehg/usr/share/doc/tortoisehg/html/_static/jquery.js
	ln -sf ../../../../javascript/underscore/underscore.js \
	    debian/tortoisehg/usr/share/doc/tortoisehg/html/_static/underscore.js
	ln -sf email.png debian/tortoisehg/usr/share/doc/tortoisehg/html/_images/email1.png
endif

override_dh_compress:
	dh_compress -X.js -X_static/* -X "_sources/*"

debian/thg.1: debian/thg.1.xml
	xsltproc --nonet \
		--param make.year.ranges 1 \
		--param make.single.year.ranges 1 \
		--param man.charmap.use.subset 0 \
		-o debian/ \
		/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
		debian/thg.1.xml

## tortoisehg 5.5.2

=== debian/changelog ===
tortoisehg (5.5.2-3) unstable; urgency=medium

  * Replace the deprecated tostring() with tobytes() (Closes: #976599).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 05 Dec 2020 18:18:58 +0100

tortoisehg (5.5.2-2) unstable; urgency=medium

  * Fix the copyrights.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 02 Dec 2020 15:27:51 +0100

tortoisehg (5.5.2-1) unstable; urgency=medium

  * New maintainer (Closes: #922565).
  * New upstream version (Closes: #921704).
  * Refresh patches.
  * Switch over to Python 3.
  * Bump Mercurial dependency.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 25 Oct 2020 14:32:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: tortoisehg
 Section: vcs
 Priority: optional
-Maintainer: Ludovico Cavedon <cavedon@debian.org>
+Maintainer: Andrej Shadura <andrewsh@debian.org>
 Uploaders: Max Bowsher <maxb@f2s.com>
-Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-python
+Build-Depends: debhelper-compat (= 13), python3, dh-python
 Build-Depends-Indep: docbook-xml,
                      docbook-xsl,
+                     mercurial (>= 5.0~),
                      pyqt5-dev-tools,
-                     python-pyqt5,
+                     python3-pyqt5,
                      python3-sphinx,
                      xsltproc,
 Standards-Version: 4.1.2
@@ -17,8 +18,8 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 4.7~), mercurial (<< 4.9~), python-pyqt5,
- python-pyqt5.qsci, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: mercurial (>= 5.4~), mercurial (<< 5.6~), python3-pyqt5,
+ python3-pyqt5.qsci, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments
 Suggests: tortoisehg-nautilus
 Description: Graphical tool for working with Mercurial
@@ -34,11 +35,11 @@
 Package: tortoisehg-nautilus
 Architecture: all
 Depends: gnome-icon-theme-full | gnome-icon-theme,
-         python-gi,
-         python-nautilus (>= 1.1-2),
+         python3-gi,
+         python3-nautilus (>= 1.1-2),
          tortoisehg (>= ${source:Version}),
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Recommends: ssh-askpass-gnome | ssh-askpass
 Description: Graphical tool for working with Mercurial (Nautilus extension)
  TortoiseHg provides a graphical tool for interacting with the distributed
@@ -55,11 +56,11 @@
 Package: tortoisehg-caja
 Architecture: all
 Depends: mate-icon-theme | gnome-icon-theme-full | gnome-icon-theme,
-         python-gi,
-         python-caja (>= 1.1-2),
+         python3-gi,
+         python3-caja (>= 1.1-2),
          tortoisehg (>= ${source:Version}),
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Recommends: ssh-askpass-gnome | ssh-askpass
 Description: Graphical tool for working with Mercurial (Caja extension)
  TortoiseHg provides a graphical tool for interacting with the distributed

## tortoisehg 5.6.1

=== debian/changelog ===
tortoisehg (5.6.1-1) unstable; urgency=medium

  * New upstream release
    - Drop a patch applied upstream
    - Bump Mercurial dependencies (Closes: #980232).
  * Remove Max from Uploaders, add the Debian Python team instead.
  * Bump Standards-Version to 4.5.1.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 18 Jan 2021 13:59:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: vcs
 Priority: optional
 Maintainer: Andrej Shadura <andrewsh@debian.org>
-Uploaders: Max Bowsher <maxb@f2s.com>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13), python3, dh-python
 Build-Depends-Indep: docbook-xml,
                      docbook-xsl,
@@ -11,14 +11,14 @@
                      python3-pyqt5,
                      python3-sphinx,
                      xsltproc,
-Standards-Version: 4.1.2
+Standards-Version: 4.5.1
 Homepage: https://tortoisehg.bitbucket.io
 Vcs-Git: https://salsa.debian.org/debian/tortoisehg.git
 Vcs-Browser: https://salsa.debian.org/debian/tortoisehg
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 5.4~), mercurial (<< 5.6~), python3-pyqt5,
+Depends: mercurial (>= 5.5~), mercurial (<< 5.7~), python3-pyqt5,
  python3-pyqt5.qsci, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments
 Suggests: tortoisehg-nautilus

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2 --buildsystem=python_distutils
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build: debian/thg.1
 	dh_auto_build

=== debian/watch ===
version=3
opts=dversionmangle=s/[\+~]dfsg\d+// https://www.mercurial-scm.org/release/tortoisehg/targz/ tortoisehg-(.*)\.tar\.gz
# the following line can be used to get the latest version from HG tags

## tortoisehg 5.9.2

=== debian/changelog ===
tortoisehg (5.9.2-1) unstable; urgency=medium

  [ Julien Cristau ]
  * New upstream release
  * Bump Mercurial dependencies (Closes: #993023).
  * Tell dh_missing to ignore COPYING.txt, we have the copyright file for
    this.

  [ Andrej Shadura ]
  * Update watch file format version to 4.
  * Update standards version to 4.6.0, no changes needed.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 12 Oct 2021 07:57:54 +0200

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                      python3-pyqt5,
                      python3-sphinx,
                      xsltproc,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://tortoisehg.bitbucket.io
 Vcs-Git: https://salsa.debian.org/debian/tortoisehg.git
 Vcs-Browser: https://salsa.debian.org/debian/tortoisehg
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 5.5~), mercurial (<< 5.7~), python3-pyqt5,
+Depends: mercurial (>= 5.9~), mercurial (<< 5.10~), python3-pyqt5,
  python3-pyqt5.qsci, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments
 Suggests: tortoisehg-nautilus

## tortoisehg 6.0

=== debian/changelog ===
tortoisehg (6.0-1) unstable; urgency=medium

  * New upstream release (closes: #1001911)

 -- Julien Cristau <jcristau@debian.org>  Wed, 05 Jan 2022 15:44:18 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 5.9~), mercurial (<< 5.10~), python3-pyqt5,
+Depends: mercurial (>= 6.0~), mercurial (<< 6.1~), python3-pyqt5,
  python3-pyqt5.qsci, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments
 Suggests: tortoisehg-nautilus

## tortoisehg 6.1.1

=== debian/changelog ===
tortoisehg (6.1.1-3) unstable; urgency=medium

  * Don’t set the owner to root in install calls as we’re not requiring
    fakeroot anymore.
  * Simplify rules by using execute_after_*.
  * Use dh-sequence-python3 instead of --with python3.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 22 Jun 2022 15:23:30 +0200

tortoisehg (6.1.1-2) unstable; urgency=medium

  * Team upload.

  [ Bastian Germann ]
  * Depend on python3-* libraries (LP: #1910758, Closes: #1012499).

  [ Andrej Shadura ]
  * Wrap and sort debian/{control,copyright,*.install}.
  * Set Rules-Requires-Root: no.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 14 Jun 2022 11:33:59 +0200

tortoisehg (6.1.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.1.1
  * d/copyright: Update to GPL-2+ (Closes: #993967)
  * Drop upstream patch
  * Move mercurial to Build-Depends (fixes source-only builds)

 -- Bastian Germann <bage@debian.org>  Tue, 12 Apr 2022 15:04:06 +0200

tortoisehg (6.1-1) unstable; urgency=medium

  * New upstream release (closes: #1006957)

 -- Julien Cristau <jcristau@debian.org>  Thu, 24 Mar 2022 20:30:46 +0100

=== debian/control ===
Source: tortoisehg
Section: vcs
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 mercurial (>= 5.0~),
 python3,
Build-Depends-Indep:
 docbook-xml,
 docbook-xsl,
 pyqt5-dev-tools,
 python3-pyqt5,
 python3-sphinx,
 xsltproc,
Standards-Version: 4.6.0
Homepage: https://tortoisehg.bitbucket.io
Vcs-Git: https://salsa.debian.org/debian/tortoisehg.git
Vcs-Browser: https://salsa.debian.org/debian/tortoisehg
Rules-Requires-Root: no

Package: tortoisehg
Architecture: all
Depends:
 mercurial (<< 6.2~),
 mercurial (>= 6.1~),
 python3-iniparse,
 python3-pygments,
 python3-pyqt5,
 python3-pyqt5.qsci,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 libjs-jquery,
 libjs-underscore,
Suggests:
 tortoisehg-nautilus,
Description: Graphical tool for working with Mercurial
 TortoiseHg provides a graphical tool for interacting with the distributed
 revision control system Mercurial.  GUI support is provided for over a dozen
 operations, including add files, commit changes, manage ignore filter, view
 change log, merge, recover/rollback, edit configuration, synchronize
 repository, and many others.   The highlight is the interactive commit tool
 which allows easy selection of diffs from multiple files and packaging into
 changesets, and which is more powerful and easier to use than available
 alternatives such as qct and hgct (commit-tool).

Package: tortoisehg-caja
Architecture: all
Depends:
 mate-icon-theme | gnome-icon-theme-full | gnome-icon-theme,
 python3-caja (>= 1.1-2),
 python3-gi,
 tortoisehg (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ssh-askpass-gnome | ssh-askpass,
Description: Graphical tool for working with Mercurial (Caja extension)
 TortoiseHg provides a graphical tool for interacting with the distributed
 revision control system Mercurial.  GUI support is provided for over a dozen
 operations, including add files, commit changes, manage ignore filter, view
 change log, merge, recover/rollback, edit configuration, synchronize
 repository, and many others.   The highlight is the interactive commit tool
 which allows easy selection of diffs from multiple files and packaging into
 changesets, and which is more powerful and easier to use than available
 alternatives such as qct and hgct (commit-tool).
 .
 This package contains the Caja extension for TortoiseHg.

Package: tortoisehg-nautilus
Architecture: all
Depends:
 gnome-icon-theme-full | gnome-icon-theme,
 python3-gi,
 python3-nautilus (>= 1.1-2),
 tortoisehg (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ssh-askpass-gnome | ssh-askpass,
Description: Graphical tool for working with Mercurial (Nautilus extension)
 TortoiseHg provides a graphical tool for interacting with the distributed
 revision control system Mercurial.  GUI support is provided for over a dozen
 operations, including add files, commit changes, manage ignore filter, view
 change log, merge, recover/rollback, edit configuration, synchronize
 repository, and many others.   The highlight is the interactive commit tool
 which allows easy selection of diffs from multiple files and packaging into
 changesets, and which is more powerful and easier to use than available
 alternatives such as qct and hgct (commit-tool).
 .
 This package contains the Nautilus extension for TortoiseHg.

## tortoisehg 6.2

=== debian/changelog ===
tortoisehg (6.2-2) unstable; urgency=medium

  * Team upload
  * Add patch for compatibility with Nautilus 43.
    Disable the property page feature there since it still needs to be
    ported to the new API

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 01 Sep 2022 09:48:23 -0400

tortoisehg (6.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release (closes: #1014806)

 -- Julien Cristau <jcristau@debian.org>  Fri, 22 Jul 2022 16:00:47 +0200

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
 Package: tortoisehg
 Architecture: all
 Depends:
- mercurial (<< 6.2~),
- mercurial (>= 6.1~),
+ mercurial (<< 6.3~),
+ mercurial (>= 6.2~),
  python3-iniparse,
  python3-pygments,
  python3-pyqt5,

## tortoisehg 6.3.1

=== debian/changelog ===
tortoisehg (6.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Thu, 15 Dec 2022 11:52:37 +0100

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
 Package: tortoisehg
 Architecture: all
 Depends:
- mercurial (<< 6.3~),
- mercurial (>= 6.2~),
+ mercurial (<< 6.4~),
+ mercurial (>= 6.3~),
  python3-iniparse,
  python3-pygments,
  python3-pyqt5,

## tortoisehg 6.4.2

=== debian/changelog ===
tortoisehg (6.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Fri, 23 Jun 2023 15:50:43 +0200

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
 Package: tortoisehg
 Architecture: all
 Depends:
- mercurial (<< 6.4~),
- mercurial (>= 6.3~),
+ mercurial (<< 6.5~),
+ mercurial (>= 6.4~),
  python3-iniparse,
  python3-pygments,
  python3-pyqt5,

## tortoisehg 6.5.1

=== debian/changelog ===
tortoisehg (6.5.1-2) unstable; urgency=medium

  * Adjust dependencies to be co-installable with mercurial 6.6.

 -- Julien Cristau <jcristau@debian.org>  Tue, 05 Dec 2023 15:29:12 +0100

tortoisehg (6.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Tue, 26 Sep 2023 15:27:43 +0200

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
 Package: tortoisehg
 Architecture: all
 Depends:
- mercurial (<< 6.5~),
- mercurial (>= 6.4~),
+ mercurial (<< 6.7~),
+ mercurial (>= 6.5~),
  python3-iniparse,
  python3-pygments,
  python3-pyqt5,

## tortoisehg 6.6.3

=== debian/changelog ===
tortoisehg (6.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Adjust dependencies to be co-installable with mercurial 6.7.

 -- Julien Cristau <jcristau@debian.org>  Thu, 21 Mar 2024 23:37:46 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 Package: tortoisehg
 Architecture: all
 Depends:
- mercurial (<< 6.7~),
+ mercurial (<< 6.8~),
  mercurial (>= 6.5~),
  python3-iniparse,
  python3-pygments,

=== debian/rules ===
--- 
+++ 
@@ -1,28 +1,21 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_auto_build: debian/thg.1
-	dh_auto_build
+execute_after_dh_auto_build: debian/thg.1
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C doc html
 endif
 
-override_dh_auto_install:
-	dh_auto_install --destdir=debian/tmp/
+execute_after_dh_auto_install:
 	# This file is already included in mercurial-common.
 	rm debian/tmp/usr/lib/python*/dist-packages/hgext3rd/__init__.py
-	mkdir -p debian/tmp/etc/mercurial/hgrc.d/
-	install -o 0 -g 0 -m 644 contrib/mergetools.rc debian/tmp/etc/mercurial/hgrc.d/thgmergetools.rc
-	mkdir -p debian/tmp/usr/share/caja-python/extensions/
-	install -o 0 -g 0 -m 644 contrib/nautilus-thg.py debian/tmp/usr/share/caja-python/extensions/caja-thg.py
+	install -D -m 644 contrib/mergetools.rc debian/tmp/etc/mercurial/hgrc.d/thgmergetools.rc
+	install -D -m 644 contrib/nautilus-thg.py debian/tmp/usr/share/caja-python/extensions/caja-thg.py
 
 ## drop automatically created file
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f debian/pycompat
-	rm -f debian/thg.1
+execute_after_dh_auto_clean:
 	rm -fr locale doc/build
 
 override_dh_installdocs:

## tortoisehg 6.9

=== debian/changelog ===
tortoisehg (6.9-1) unstable; urgency=medium

  * New upstream release
  * hglib: handle moving `mercurial.rcutil` to `mercurial.configuration.rcutil`
    (cherry-picked from upstream)
  * Adjust dependencies to be co-installable with mercurial 7.0.

 -- Julien Cristau <jcristau@debian.org>  Fri, 18 Apr 2025 16:31:29 +0200

tortoisehg (6.6.3-3) unstable; urgency=medium

  * Adjust dependencies to be co-installable with mercurial 6.9
    (closes: #1088070).
  * Remove generated debian/thg.1 on clean.
  * Add python3-setuptools build-dependency (closes: #1080818).

 -- Julien Cristau <jcristau@debian.org>  Mon, 25 Nov 2024 19:17:03 +0100

tortoisehg (6.6.3-2) unstable; urgency=medium

  * Adjust dependencies to be co-installable with mercurial 6.8.

 -- Julien Cristau <jcristau@debian.org>  Wed, 10 Jul 2024 13:47:05 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  dh-sequence-python3,
  mercurial (>= 5.0~),
  python3,
+ python3-setuptools,
 Build-Depends-Indep:
  docbook-xml,
  docbook-xsl,
@@ -25,7 +26,7 @@
 Package: tortoisehg
 Architecture: all
 Depends:
- mercurial (<< 6.8~),
+ mercurial (<< 7.1~),
  mercurial (>= 6.5~),
  python3-iniparse,
  python3-pygments,

## tortoisehg 7.0.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

QCOLLECTIONGENERATOR = qcollectiongenerator

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp qthelp qhc latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  qhc       to make QHC file"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf build/*

html:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

zip: html
	(cd build ; zip TortoiseHg.html.zip -r html)

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: pickle

json:
	mkdir -p build/json build/doctrees
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	mkdir -p build/qthelp build/doctrees
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/foo.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/foo.qhc"

qhc: qthelp
	$(QCOLLECTIONGENERATOR) build/qthelp/TortoiseHg.qhcp
	@echo "Build finished. To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/TortoiseHg.qhc"

latex:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

=== debian/changelog ===
tortoisehg (7.0.1-1) unstable; urgency=medium

  * New upstream release.
    - rcutil.patch: remove, merged upstream
  * Adjust dependencies to be co-installable with mercurial 7.1.

 -- Julien Cristau <jcristau@debian.org>  Tue, 09 Sep 2025 15:04:52 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 Package: tortoisehg
 Architecture: all
 Depends:
- mercurial (<< 7.1~),
+ mercurial (<< 7.2~),
  mercurial (>= 6.5~),
  python3-iniparse,
  python3-pygments,

=== debian/watch ===
version=4
opts=dversionmangle=s/[\+~]dfsg\d+// https://www.mercurial-scm.org/release/tortoisehg/targz/ tortoisehg-(.*)\.tar\.gz
# the following line can be used to get the latest version from HG tags
